<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.video.VideoHomeFragment">

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/workingAvatar"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:layout_marginTop="13dp"
        android:adjustViewBounds="true"
        android:src="@mipmap/icon_avatar_normal"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/speedText"
        android:layout_width="96dp"
        android:layout_height="96dp"
        android:layout_marginStart="12dp"
        android:background="@drawable/drawable_bg_speed_txt"
        android:gravity="center"
        android:text="@string/current_speed"
        android:textColor="@color/home_text_color"
        android:textSize="16sp"
        app:layout_constraintStart_toEndOf="@id/workingAvatar"
        app:layout_constraintTop_toTopOf="@id/workingAvatar"
        tools:ignore="SmallSp" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/receivedCommTime"
        android:layout_width="wrap_content"
        android:layout_height="36dp"
        android:layout_marginStart="18dp"
        android:layout_marginTop="6dp"
        android:gravity="center"
        android:text="2023/3/10 08:12:34"
        android:textColor="@color/home_text_color"
        android:textSize="24sp"
        app:layout_constraintStart_toEndOf="@id/speedText"
        app:layout_constraintTop_toTopOf="@id/speedText" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/loadingArea"
        android:layout_width="wrap_content"
        android:layout_height="40dp"
        android:layout_marginTop="12dp"
        android:gravity="center"
        android:text="装载区01"
        android:textColor="@color/home_text_color"
        android:textSize="30sp"
        app:layout_constraintStart_toStartOf="@id/receivedCommTime"
        app:layout_constraintTop_toBottomOf="@id/receivedCommTime" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/toFlag"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginTop="8dp"
        android:adjustViewBounds="true"
        android:gravity="center"
        android:src="@mipmap/icon_arrow_light"
        app:layout_constraintBottom_toBottomOf="@id/loadingArea"
        app:layout_constraintStart_toEndOf="@id/loadingArea"
        app:layout_constraintTop_toTopOf="@id/loadingArea" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/unloadingArea"
        android:layout_width="wrap_content"
        android:layout_height="40dp"
        android:layout_marginStart="16dp"
        android:gravity="center"
        android:text="卸载区01"
        android:textColor="@color/home_text_color"
        android:textSize="30sp"
        app:layout_constraintStart_toEndOf="@id/toFlag"
        app:layout_constraintTop_toTopOf="@id/loadingArea" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/reminderInfoText"
        style="@style/ReminderInfoTextStyle"
        android:layout_width="212dp"
        android:layout_height="88dp"
        android:layout_marginStart="24dp"
        android:background="@drawable/drawable_bg_reminder_info"
        android:text="当前无提示信息"
        app:layout_constraintStart_toEndOf="@id/unloadingArea"
        app:layout_constraintTop_toTopOf="@id/receivedCommTime"
        tools:ignore="SmallSp" />

    <include
        android:id="@+id/videoHomeMapLayout"
        layout="@layout/layout_map_box"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="12dp"
        android:layout_marginTop="18dp"
        android:layout_marginBottom="14dp"
        app:layout_constraintBottom_toTopOf="@id/toggleMore"
        app:layout_constraintEnd_toEndOf="@id/reminderInfoText"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/workingAvatar" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/toggleMore"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="15dp"
        android:layout_marginBottom="15dp"
        android:adjustViewBounds="true"
        android:background="@drawable/background_more_btn"
        android:clickable="true"
        android:contentDescription="@string/toggle_more"
        android:focusable="true"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/currentWorkStatusLayout"
        android:layout_width="wrap_content"
        android:layout_height="0dp"
        android:background="@drawable/background_working_status"
        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="@id/toggleMore"
        app:layout_constraintEnd_toStartOf="@id/guideline2"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/toggleMore">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/currentWorkStatus"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="9dp"
            android:layout_marginTop="7dp"
            android:layout_marginBottom="7dp"
            android:drawableStart="@mipmap/icon_current_status_empty_light"
            android:drawablePadding="10dp"
            android:gravity="center_vertical"
            android:text="@string/work_status_empty"
            android:textColor="@color/home_text_color"
            android:textSize="28sp" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/workStatusEdit"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="20dp"
            android:layout_marginEnd="20dp"
            android:background="@drawable/background_work_status_edit_btn"
            android:clickable="true"
            android:focusable="true"
            android:paddingStart="10dp"
            android:paddingTop="4dp"
            android:paddingEnd="10dp"
            android:paddingBottom="4dp"
            android:text="@string/work_status_edit"
            android:textColor="#ff3684f9"
            android:textSize="24sp" />
    </androidx.appcompat.widget.LinearLayoutCompat>

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/reportStatus"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:background="@drawable/background_report_btn"
        android:clickable="true"
        android:focusable="true"
        android:contentDescription="@string/report_status"
        app:layout_constraintBottom_toBottomOf="@id/toggleMore"
        app:layout_constraintEnd_toEndOf="@id/reminderInfoText"
        app:layout_constraintTop_toTopOf="@id/toggleMore" />

    <com.google.android.exoplayer2.ui.StyledPlayerView
        android:id="@+id/videoView1"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="@id/guideline3"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="@id/guideline2"
        app:layout_constraintTop_toTopOf="parent"
        app:resize_mode="fill"
        app:use_controller="false" />

    <com.google.android.exoplayer2.ui.StyledPlayerView
        android:id="@+id/videoView2"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="@id/guideline2"
        app:layout_constraintTop_toTopOf="@id/guideline3"
        app:resize_mode="fill"
        app:use_controller="false" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/guideline2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_percent="0.62" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/guideline3"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintGuide_percent="0.5" />
</androidx.constraintlayout.widget.ConstraintLayout>